org.apache.http.osgi.impl

## Class HttpProxyConfigurationActivator

- java.lang.Object
- - org.apache.http.osgi.impl.HttpProxyConfigurationActivator

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator, org.osgi.service.cm.ManagedServiceFactory

      public final class HttpProxyConfigurationActivator
      extends Object
      implements org.osgi.framework.BundleActivator, org.osgi.service.cm.ManagedServiceFactory

  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpProxyConfigurationActivator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleted(String pid)`
    `String` | `getName()`
    `void` | `start(org.osgi.framework.BundleContext context)`
    `void` | `stop(org.osgi.framework.BundleContext context)`
    `void` | `updated(String pid, Dictionary config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpProxyConfigurationActivator

          public HttpProxyConfigurationActivator()

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext context)
                    throws Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `Exception`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.osgi.service.cm.ManagedServiceFactory`

    - #### updated

          public void updated(String pid,
                     Dictionary config)
                       throws org.osgi.service.cm.ConfigurationException

      Specified by:
        `updated` in interface `org.osgi.service.cm.ManagedServiceFactory`
      Throws:
        `org.osgi.service.cm.ConfigurationException`

    - #### deleted

          public void deleted(String pid)

      Specified by:
        `deleted` in interface `org.osgi.service.cm.ManagedServiceFactory`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.